Debian Bug report logs - #701625
ITP: txtorcon -- Twisted-based asynchronous Tor control protocol implementation

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Jérémy Bobbio <lunar@debian.org>

Date: Mon, 25 Feb 2013 13:48:01 UTC

Owned by: Jérémy Bobbio <lunar@debian.org>

Severity: wishlist

Fixed in version txtorcon/0.7-1

Done: Jérémy Bobbio <lunar@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, meejah@meejah.ca, wnpp@debian.org, Jérémy Bobbio <lunar@debian.org>:
Bug#701625; Package wnpp. (Mon, 25 Feb 2013 13:48:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jérémy Bobbio <lunar@debian.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, meejah@meejah.ca, wnpp@debian.org, Jérémy Bobbio <lunar@debian.org>. (Mon, 25 Feb 2013 13:48:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jérémy Bobbio <lunar@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: txtorcon -- Twisted-based asynchronous Tor control protocol implementation
Date: Mon, 25 Feb 2013 14:45:43 +0100
[Message part 1 (text/plain, inline)]
Package: wnpp
Severity: wishlist
Owner: Jérémy Bobbio <lunar@debian.org>

* Package name    : txtorcon
  Version         : 0.7
  Upstream Author : meejah <meejah@meejah.ca>
* URL             : https://github.com/meejah/txtorcon
* License         : Expat
  Programming Lang: Python
  Description     : Twisted-based asynchronous Tor control protocol implementation

txtorcon main feature is to present an asynchronous API to speak the Tor client
protocol in Python. It also provides abstractions to track and get updates
about Tor's state and current configuration (including writing it to Tor or
disk), along with helpers to asynchronously launch slave instances of Tor
including Twisted endpoint support.

Twisted is an event-driven networking engine written in Python and Tor is an
onion-routing network designed to improve people's privacy and anonymity on the
Internet.

-- 
Jérémy Bobbio                        .''`. 
lunar@debian.org                    : :Ⓐ  :  # apt-get install anarchism
                                    `. `'` 
                                      `-   
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Mon, 25 Feb 2013 19:06:03 GMT) Full text and rfc822 format available.

Reply sent to Jérémy Bobbio <lunar@debian.org>:
You have taken responsibility. (Fri, 12 Apr 2013 15:03:27 GMT) Full text and rfc822 format available.

Notification sent to Jérémy Bobbio <lunar@debian.org>:
Bug acknowledged by developer. (Fri, 12 Apr 2013 15:03:27 GMT) Full text and rfc822 format available.

Message #12 received at 701625-close@bugs.debian.org (full text, mbox):

From: Jérémy Bobbio <lunar@debian.org>
To: 701625-close@bugs.debian.org
Subject: Bug#701625: fixed in txtorcon 0.7-1
Date: Fri, 12 Apr 2013 15:00:07 +0000
Source: txtorcon
Source-Version: 0.7-1

We believe that the bug you reported is fixed in the latest version of
txtorcon, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 701625@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jérémy Bobbio <lunar@debian.org> (supplier of updated txtorcon package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Mon, 25 Feb 2013 17:56:48 +0100
Source: txtorcon
Binary: python-txtorcon
Architecture: source all
Version: 0.7-1
Distribution: unstable
Urgency: low
Maintainer: Jérémy Bobbio <lunar@debian.org>
Changed-By: Jérémy Bobbio <lunar@debian.org>
Description: 
 python-txtorcon - Twisted-based asynchronous Tor control protocol implementation
Closes: 701625
Changes: 
 txtorcon (0.7-1) unstable; urgency=low
 .
   * Initial release. (Closes: #701625)
Checksums-Sha1: 
 c30ea330a208361ef4d4fb5ca78bef689afcd403 1969 txtorcon_0.7-1.dsc
 b4b375480531ebba2d8064a17f17b12d2f4711fd 125590 txtorcon_0.7.orig.tar.gz
 c75650a5721db2b403b466f0fee35e49dcc846b7 2803 txtorcon_0.7-1.debian.tar.gz
 0bc0ca6cf8c791d9449ca757c4714f468b307fb0 125108 python-txtorcon_0.7-1_all.deb
Checksums-Sha256: 
 677eb42feb63dd0a3ac72d78f22f9583cf8a49d54c56c81d1806f07b63e8c69a 1969 txtorcon_0.7-1.dsc
 92c8f904f66fa22176ca13b19656fc67e7880435bad2de621feabd4ae7ecc530 125590 txtorcon_0.7.orig.tar.gz
 fb242268e085439c60112478b0d5c8f19b34ebb3090e07002a9c7e0badb21285 2803 txtorcon_0.7-1.debian.tar.gz
 61b8bfc095826c7fff41a3282110c4495d273468a58466da1057119efb72018a 125108 python-txtorcon_0.7-1_all.deb
Files: 
 16c99abe9abbdc67e4eb796deecd6e13 1969 python extra txtorcon_0.7-1.dsc
 2c4b5962907b508c6cf8e19dd4d33b2f 125590 python extra txtorcon_0.7.orig.tar.gz
 f35577ff2509e2e0320ec800d54c7fa4 2803 python extra txtorcon_0.7-1.debian.tar.gz
 81fd48803ecfe8e984010056e259f56c 125108 python extra python-txtorcon_0.7-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBCAAGBQJRK5kGAAoJEEgU3sIrMHw8NC0P/1GSIfDywebNaW3nCluZQCNg
5QyPFyLz1r+nSa0bNNHguZj+lflLnZ+KCjTX49EOyph5TBHdpiIgegIMr3i78j/M
33F4Wwr4d/SqSRAkWC2m5WBwyy4f73jGSqBab+j5v72EftrRm6UT0IOrAPR09PFB
BIqGMRa1CZFJMmLNO/JvvXHpgXcpK2dkv7yEzqxYdiEP7juz4lOxwsm8OL4KLwT5
kzp9QNQCbgYHOOdV5gY/dXVpkcxai8inZzHuWt3Ct5ZaoQvOaAUKHw2lbMtN3pwA
hZB/lnx/mOTd+Y8zoEXmDkcm9FlEe3qQPaCdIzbCyWrMwk50xW9iMddOrfxQRv4V
YqfiwVsIfhjZzS2rWtmK7KCLlKyQfRyh9cAvFmsbL9xFDdmqJ0uUQ3xer6QY19zb
YispNHPorWurZ6K2/cC2Rc1flCtK27NujIkwQrBFbSHeLAy9K/xl99oGjrcknIQB
yGOdtlf+JQjILvL2/N6CexBn/tXk4PWpzvuTf+WrPYtQRC+zjHXWt6mhYKlmTumV
1XYNN0nFY0eKIMeTPtcIHjkv1Zw33WYDdywTtJDnKyIOhnkGIu1BCGVkfBYu/dB7
FS0mHPPV/R5E1nI1k4tWYXU8N7IW5mXMvGiTDD3/ooLDCBSgP4dzWZLAOL46kT3m
7hg/kLv3xU/nOnkWgsyW
=IQIw
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 11 May 2013 07:28:58 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 12:56:05 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.